al_set_new_display_adapter(3)

NAME

al_set_new_display_adapter - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_new_display_adapter(int adapter)

DESCRIPTION

Sets the adapter to use for new displays created by the calling thread. The adapter has a monitor attached to it. Information about the monitor can be gotten using al_get_num_video_adapters(3) and al_get_monitor_info(3).

To return to the default behaviour, pass ALLEGRO_DEFAULT_DISPLAY_ADAPTER.

SEE ALSO

al_get_num_video_adapters(3), al_get_monitor_info(3)